<%
    ' VRWOrders.asp
    ' Example of VRW report run from Ajax asp page
    '
    ' R.Worsley 11/26/2010 rlworsley@gmail.com
    '
%>
<!-- #Include FILE="PageTop.inc.asp" -->
<html>
<head>
    <title>VRW Orders List</title>
    <!-- #include file="head.inc.asp" -->

    <script language="JavaScript">
    
        // Essentially current_radio
        function get_radio_value(){
           for (var i=0; i < document.CUSTOMER_form.file_type.length; i++)
           {
           if (document.CUSTOMER_form.file_type[i].checked)
              {
              var rad_val = document.CUSTOMER_form.file_type[i].value;
              }
           }
           return rad_val;
        }
    
        function doRunReport(){
            // cursor to hourglass
            document.body.style.cursor = "wait";
            
            // grab the screen values
            var iCustomerID = document.getElementById("CustId").value;
            var dStartDate = document.getElementById("date1").value;
            var dEndDate = document.getElementById("date2").value;
            var iRadio = get_radio_value();
            
            // Be sure we have both dates
            if ((dStartDate != "" && dEndDate == "") || (dStartDate == "" && dEndDate != "")) {
                document.body.style.cursor = "default";
                alert ("Please enter both dates.");
                return;
            }
            // call the report
            var oVdfCall;
            oVdfCall = new vdf.ajax.VdfCall("oVRWOrders", "get_RunVRWReport");
            oVdfCall.bSuppressError = true;
            oVdfCall.addParameter(iCustomerID);
            oVdfCall.addParameter(dStartDate);
            oVdfCall.addParameter(dEndDate);
            oVdfCall.addParameter(iRadio);
            oVdfCall.onFinished.addListener(theReportReturn);
            oVdfCall.send(true);
        }
        // Check the output
        function theReportReturn(oEvent){
            var oVdfCall = oEvent.oSource;  
            var sRC = oVdfCall.getReturnValue();

            document.body.style.cursor = "default";
            if (sRC == "-1"){
                alert("Error running the report!");
            }else{
    		    if (sRC == "") {
                        alert("Report complete!");
    	        }else{
                    var ans = confirm("Do you want to show the report?");
                    if (ans) {
                        // do report show stuff here
                        //window.open('url to open','window name','attribute1s')
                        window.open(sRC, "VRW Report", "width:300;height:300;");
                    }
        		}
            }
        }
        function doClearReport(){
            document.CUSTOMER_form.file_type[0].checked = true;
            document.getElementById("date1").value = "";
            document.getElementById("date2").value = "";
            if(vdf.getControl('CUSTOMER_form').doClear());
        }

        
    </script>
        

</head>

<body>
    <!-- #include file="bodytop.inc.asp" -->

    <form action="none" name="CUSTOMER_form" autocomplete="off" vdfControlType="form" vdfControlName="CUSTOMER_form" vdfMainTable="CUSTOMER" vdfServerTable="CUSTOMER" vdfWebObject="oVRWOrders">

        <table width="100%">
            <tr>
                <td>
                    <h3>VRW Orders</h3>
                </td>
            </tr>
            <tr>
                <td><br><br>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <div>
                        <table class="EntryTable" border="0">
                            <tr>
                                <td class="Label">Customer Name</td>
                                <td>
                                    <input class="Data" type="text" value="" id="CustName" name="Customer__Name" title="Customer Name:" size="30" vdfSuggestSource="find" />
                                    <input class="LookupButton" type="button" title="List of all records" tabindex="-1" vdfControlType="lookupdialog" vdfWebObject="oVRWOrders" vdfLookupTable="CUSTOMER" vdfLookupFields="customer__name, customer__customer_number" />
                                </td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td class="Label">Customer Number</td>
                                <td>
                                    <input class="Data" type="text" value="" id="CustId" name="Customer__Customer_Number" title="Customer Number:" size="6" vdfSuggestSource="find" />
                                    <input class="LookupButton" type="button" title="List of all records" tabindex="-1" vdfControlType="lookupdialog" vdfWebObject="oVRWOrders" vdfLookupTable="CUSTOMER" vdfLookupFields="customer__customer_number, customer__name" />
                                </td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td class="Label">Date range:</td>
                                <td>
                                    <input type="text" size="12" name="RptDate2" id='date1' value="" />
                                    <input class="CalendarButton" type="button" value=" " onclick="vdf.gui.show_InputPopupCalendar(this, document.getElementById('date1'), 'MM/DD/YYYY');" title="Pick a date" tabindex="-1" />
                                </td>
                                <td>
                                    <input type="text" size="12" name="RptDate1" id='date2' value="" />
                                    <input class="CalendarButton" type="button" value=" " onclick="vdf.gui.show_InputPopupCalendar(this, document.getElementById('date2'), 'MM/DD/YYYY');" title="Pick a date" tabindex="-1" />
                                </td>
                            </tr>
                            <tr>
                                <td class="Label" align="right">File Type:</td>
                                <td class="Label" ><input type="radio" name="file_type" value="" checked> PDF <input type="radio" name="file_type" value="1" > CSV <input type="radio" name="file_type" value="2"> PNG</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td colspan="2">Leave values above blank to see all records</td>
                                <td><br><br>&nbsp;</td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="button" class="ButtonNormal" value="Reset Form" onclick="doClearReport();" />
                                </td>
                                <td>
                                    <input type="button" class="ButtonNormal" value="Run Report" onclick="doRunReport();" />
                                </td>
                                <td class="Label"></td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>
        </table>

    </form>
    <!-- #include file="bodybottom.inc.asp" -->

</body>

</html>
<!-- #include file="pagebottom.inc.asp" -->
